################################################################################
# Copyright (c) 2009 modelversioning.org
# All rights reserved. This program and the accompanying materials are
# made available under the terms of the Eclipse Public License v1.0 which
# accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
################################################################################

# General keys
#IllegalSide=PartSide cannot be {0}.
internalError=Internal Error
messageTitle=Model Operations

# Model operation management
MOManagement.messageTitle=Model Operations
MOManagement.registerModelOperation=Register Model Operation
MOManagement.unregisterModelOperation=Unregister Model Operation
MOManagement.unregisterConfirmQuestion=Are you sure to remove "{0}"?
MOManagement.unregisterNoOperation=Selected element is not a model operation.
MOManagement.unregisterModelOperation_tooltip=Unregisters the selected Model Operation.

# Model operation execution
MOExecution.executeModelOperation=Execute Model Operation
MOExecution.executeModelOperation_tooltip=Executes the selected Model Operation.
MOExecution.messageTitle=Model Operations Execution
MOExecution.unregisterNoOperation=Selected element is not a model operation.
MOExecution.tooManySelectedOperations=You may only bind one model operation or template at once.
MOExecution.noSelectedOperation=You have to select a model operation to execute.
MOExecution.fileSelectionText=Select the model to apply the composite operation to.
MOExecution.fileSelectionErrorDialogTitle=Invalid model
MOExecution.fileSelectionErrorDialogMessage=The selected file does not contain a valid model.
MOExecution.executedAndSavedTitle=Success
MOExecution.executedAndSavedMessage=Operation was successfully executed.
MOExecution.cannotSaveTitle=Save error
MOExecution.cannotSaveMessage=Could not save the changed model.
MOExecution.removedBindingTitle=Removed binding
MOExecution.removedBindingMessage=Provided pre-binding was invalid and has been removed.
# Wizard
MOExecution.wizardWindowTitle=Execute {0}
MOExecution.preBindingPageTitle=Specify pre-binding
MOExecution.preBindingPageDescription=Specify a binding from model elements to templates.
MOExecution.bindButtonText=Bind
MOExecution.unbindButtonText=Unbind
MOExecution.bindingPageTitle=Refine and confirm binding
MOExecution.bindingPageDescription=Confirm the evaluated binding and remove unwanted bindings.
MOExecution.bindingPageErrorMsg_1=No valid binding on the basis of the specified pre-binding could be found. Please go back and change the pre-binding respectively.
MOExecution.bindingPageErrorMsg_2=The binding is ambiguous. There is at least one model element bound twice or more than one model element bound to a template which is not configured as iteration. Please un-bind the respective multiply bound element.
MOExecution.bindingPageErrorMsg_4=Binding is invalid due to Negative Application Condition.
MOExecution.userInputPageTitle=User inputs
MOExecution.userInputPageDescription=Provide values for each user input.
MOExecution.resourceSelectionPageTitle=Model selection
MOExecution.resourceSelectionPageDescription=Select the model to which you want to apply {0}.